<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:orientation="vertical" android:background="@color/common_white_background" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <include layout="@layout/forum_title_bar" />
    <com.moji.forum.view.AutoHeightLayout android:id="@id/rrl_rize_layout" android:layout_width="fill_parent" android:layout_height="fill_parent">
        <FrameLayout android:layout_width="fill_parent" android:layout_height="fill_parent">
            <LinearLayout android:orientation="vertical" android:id="@id/ll_content" android:background="@color/white" android:layout_width="fill_parent" android:layout_height="fill_parent">
                <LinearLayout android:gravity="center_vertical" android:orientation="horizontal" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/new_topic_margin_left" android:layout_marginRight="@dimen/new_topic_margin_left">
                    <TextView android:textSize="@dimen/new_topic_title_text_size" android:textColor="@color/common_black_text" android:id="@id/active_title" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" />
                    <EditText android:textSize="@dimen/new_topic_title_text_size" android:textColor="@color/common_black_text" android:textColorHint="@color/common_half_alpha_black_text" android:gravity="center|left" android:id="@id/new_topic_title" android:background="@null" android:paddingLeft="5.0dip" android:layout_width="0.0dip" android:layout_height="50.0dip" android:hint="@string/new_topic_title" android:maxLines="1" android:singleLine="true" android:layout_weight="1.0" android:textCursorDrawable="@null" />
                </LinearLayout>
                <ImageView android:id="@id/iv_divider_line" android:background="#ffd7d7d7" android:layout_width="fill_parent" android:layout_height="1.0px" android:scaleType="fitXY" />
                <com.moji.forum.view.ListenScrollView android:id="@id/edit_scrollview" android:paddingTop="10.0dip" android:paddingBottom="10.0dip" android:layout_width="fill_parent" android:layout_height="0.0dip" android:layout_marginLeft="@dimen/new_topic_margin_left" android:layout_marginRight="@dimen/new_topic_margin_left" android:fillViewport="true" android:layout_weight="1.0">
                    <RelativeLayout android:layout_width="fill_parent" android:layout_height="fill_parent">
                        <LinearLayout android:id="@id/fl_bottom" android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_marginBottom="10.0dip" android:baselineAligned="false" android:layout_alignParentBottom="true">
                            <FrameLayout android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_weight="1.0">
                                <com.moji.forum.view.NewTopicLocationView android:layout_gravity="center|left" android:id="@id/view_location" android:layout_width="wrap_content" android:layout_height="wrap_content" />
                            </FrameLayout>
                            <FrameLayout android:layout_width="0.0dip" android:layout_height="wrap_content" android:layout_weight="1.0">
                                <TextView android:textSize="14.0sp" android:textColor="#ffb9bcc4" android:layout_gravity="center|right" android:id="@id/tv_tag_select" android:visibility="visible" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_weight="1.0" android:layout_alignParentRight="true" android:layout_centerVertical="true" />
                            </FrameLayout>
                        </LinearLayout>
                        <EditText android:textSize="@dimen/new_topic_title_text_size" android:textColor="@color/common_black_text" android:textColorHint="@color/common_half_alpha_black_text" android:gravity="center|left|top" android:id="@id/new_topic_content" android:background="@color/white" android:paddingLeft="5.0dip" android:layout_width="fill_parent" android:layout_height="fill_parent" android:hint="@string/new_topic_content" android:layout_above="@id/fl_bottom" android:textCursorDrawable="@null" />
                    </RelativeLayout>
                </com.moji.forum.view.ListenScrollView>
                <RelativeLayout android:background="#fff0f0f0" android:layout_width="fill_parent" android:layout_height="wrap_content" android:minHeight="48.0dip">
                    <ImageButton android:id="@id/emoticonBtn" android:background="@drawable/add_emotion_forum" android:visibility="visible" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="16.0dip" android:layout_marginTop="8.5dip" android:layout_marginRight="25.0dip" android:layout_marginBottom="8.5dip" android:layout_centerVertical="true" />
                    <FrameLayout android:id="@id/fl_photo" android:layout_width="38.0dip" android:layout_height="37.0dip" android:layout_marginRight="5.0dip" android:layout_toRightOf="@id/emoticonBtn" android:layout_centerVertical="true">
                        <ImageView android:layout_gravity="center|left" android:id="@id/iv_photo" android:visibility="visible" android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/new_topic_no_photo_selector" android:scaleType="centerCrop" />
                    </FrameLayout>
                    <ImageButton android:id="@id/tagBtn" android:background="@drawable/add_tag_selector" android:visibility="visible" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="15.0dip" android:layout_marginTop="8.5dip" android:layout_marginRight="5.0dip" android:layout_marginBottom="8.5dip" android:layout_toRightOf="@id/fl_photo" android:layout_centerVertical="true" />
                    <ImageButton android:id="@id/atBtn" android:background="@drawable/at_selector" android:visibility="visible" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="20.0dip" android:layout_marginTop="8.5dip" android:layout_marginRight="5.0dip" android:layout_marginBottom="8.5dip" android:layout_toRightOf="@id/tagBtn" android:layout_centerVertical="true" />
                    <Button android:textSize="15.0dip" android:textColor="@color/white" android:id="@id/closeBtn" android:background="@drawable/topic_comment_send_btn_bg_pressed" android:visibility="visible" android:layout_width="44.0dip" android:layout_height="33.0dip" android:layout_marginRight="16.0dip" android:text="@string/retract" android:layout_alignParentRight="true" android:layout_centerVertical="true" />
                </RelativeLayout>
                <FrameLayout android:gravity="center_vertical" android:orientation="vertical" android:id="@id/fl_foot_func" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="wrap_content">
                    <RelativeLayout android:id="@id/rl_emotion" android:layout_width="fill_parent" android:layout_height="fill_parent">
                        <fragment android:id="@id/emoticonFragment" android:layout_width="fill_parent" android:layout_height="fill_parent" class="com.moji.emotion.EmotionFragment" />
                    </RelativeLayout>
                    <LinearLayout android:gravity="center" android:orientation="horizontal" android:id="@id/ll_image_layout" android:paddingLeft="15.0dip" android:paddingRight="15.0dip" android:layout_width="fill_parent" android:layout_height="fill_parent">
                        <LinearLayout android:gravity="center" android:orientation="vertical" android:id="@id/ll_current_image_layout" android:layout_width="fill_parent" android:layout_height="fill_parent">
                            <GridView android:id="@id/gv_comment_image" android:visibility="gone" android:scrollbars="none" android:layout_width="fill_parent" android:layout_height="wrap_content" android:listSelector="@android:color/transparent" android:verticalSpacing="6.0dip" android:stretchMode="columnWidth" android:numColumns="3" />
                            <TextView android:textSize="12.0sp" android:textColor="@color/common_half_alpha_black_text" android:id="@id/tv_info" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="10.0dip" />
                        </LinearLayout>
                        <LinearLayout android:gravity="center" android:orientation="vertical" android:id="@id/ll_empty_add_image" android:layout_width="fill_parent" android:layout_height="fill_parent">
                            <ImageView android:layout_gravity="center" android:id="@id/iv_empty_add_image" android:layout_width="fill_parent" android:layout_height="fill_parent" android:src="@drawable/topic_add_image_selector" />
                            <TextView android:textSize="12.0sp" android:textColor="@color/common_half_alpha_black_text" android:id="@id/tv_empty_info" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="10.0dip" />
                        </LinearLayout>
                    </LinearLayout>
                    <RelativeLayout android:id="@id/rl_tag" android:layout_width="fill_parent" android:layout_height="fill_parent">
                        <ScrollView android:layout_width="fill_parent" android:layout_height="fill_parent" android:fillViewport="true">
                            <LinearLayout android:orientation="vertical" android:id="@id/ll_tag" android:padding="11.0dip" android:layout_width="fill_parent" android:layout_height="fill_parent" />
                        </ScrollView>
                        <LinearLayout android:gravity="center" android:id="@id/ll_label_progressbar" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent">
                            <ImageView android:id="@id/iv_tag_refresh" android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/tag_dialog_refresh_selector" />
                        </LinearLayout>
                    </RelativeLayout>
                </FrameLayout>
            </LinearLayout>
        </FrameLayout>
    </com.moji.forum.view.AutoHeightLayout>
</LinearLayout>